[arch-commits] Commit in open-vm-tools/repos (28 files)

Sergej Pupykin spupykin at archlinux.org
Tue Mar 14 16:06:38 UTC 2017


    Date: Tuesday, March 14, 2017 @ 16:06:37
  Author: spupykin
Revision: 216309

archrelease: copy trunk to community-staging-i686, community-staging-x86_64

Added:
  open-vm-tools/repos/community-staging-i686/PKGBUILD
    (from rev 216308, open-vm-tools/trunk/PKGBUILD)
  open-vm-tools/repos/community-staging-i686/network-script
    (from rev 216308, open-vm-tools/trunk/network-script)
  open-vm-tools/repos/community-staging-i686/tools.conf
    (from rev 216308, open-vm-tools/trunk/tools.conf)
  open-vm-tools/repos/community-staging-i686/vmtoolsd.service
    (from rev 216308, open-vm-tools/trunk/vmtoolsd.service)
  open-vm-tools/repos/community-staging-i686/vmware-guestd
    (from rev 216308, open-vm-tools/trunk/vmware-guestd)
  open-vm-tools/repos/community-staging-i686/vmware-vmblock-fuse.service
    (from rev 216308, open-vm-tools/trunk/vmware-vmblock-fuse.service)
  open-vm-tools/repos/community-staging-i686/xautostart.conf
    (from rev 216308, open-vm-tools/trunk/xautostart.conf)
  open-vm-tools/repos/community-staging-x86_64/PKGBUILD
    (from rev 216308, open-vm-tools/trunk/PKGBUILD)
  open-vm-tools/repos/community-staging-x86_64/network-script
    (from rev 216308, open-vm-tools/trunk/network-script)
  open-vm-tools/repos/community-staging-x86_64/tools.conf
    (from rev 216308, open-vm-tools/trunk/tools.conf)
  open-vm-tools/repos/community-staging-x86_64/vmtoolsd.service
    (from rev 216308, open-vm-tools/trunk/vmtoolsd.service)
  open-vm-tools/repos/community-staging-x86_64/vmware-guestd
    (from rev 216308, open-vm-tools/trunk/vmware-guestd)
  open-vm-tools/repos/community-staging-x86_64/vmware-vmblock-fuse.service
    (from rev 216308, open-vm-tools/trunk/vmware-vmblock-fuse.service)
  open-vm-tools/repos/community-staging-x86_64/xautostart.conf
    (from rev 216308, open-vm-tools/trunk/xautostart.conf)
Deleted:
  open-vm-tools/repos/community-staging-i686/PKGBUILD
  open-vm-tools/repos/community-staging-i686/network-script
  open-vm-tools/repos/community-staging-i686/tools.conf
  open-vm-tools/repos/community-staging-i686/vmtoolsd.service
  open-vm-tools/repos/community-staging-i686/vmware-guestd
  open-vm-tools/repos/community-staging-i686/vmware-vmblock-fuse.service
  open-vm-tools/repos/community-staging-i686/xautostart.conf
  open-vm-tools/repos/community-staging-x86_64/PKGBUILD
  open-vm-tools/repos/community-staging-x86_64/network-script
  open-vm-tools/repos/community-staging-x86_64/tools.conf
  open-vm-tools/repos/community-staging-x86_64/vmtoolsd.service
  open-vm-tools/repos/community-staging-x86_64/vmware-guestd
  open-vm-tools/repos/community-staging-x86_64/vmware-vmblock-fuse.service
  open-vm-tools/repos/community-staging-x86_64/xautostart.conf

------------------------------------------------------+
 /PKGBUILD                                            |  178 +++++++
 /network-script                                      |  390 +++++++++++++++++
 /tools.conf                                          |    2 
 /vmtoolsd.service                                    |   18 
 /vmware-guestd                                       |   12 
 /vmware-vmblock-fuse.service                         |   24 +
 /xautostart.conf                                     |   12 
 community-staging-i686/PKGBUILD                      |   89 ---
 community-staging-i686/network-script                |  195 --------
 community-staging-i686/tools.conf                    |    1 
 community-staging-i686/vmtoolsd.service              |    9 
 community-staging-i686/vmware-guestd                 |    6 
 community-staging-i686/vmware-vmblock-fuse.service   |   12 
 community-staging-i686/xautostart.conf               |    6 
 community-staging-x86_64/PKGBUILD                    |   89 ---
 community-staging-x86_64/network-script              |  195 --------
 community-staging-x86_64/tools.conf                  |    1 
 community-staging-x86_64/vmtoolsd.service            |    9 
 community-staging-x86_64/vmware-guestd               |    6 
 community-staging-x86_64/vmware-vmblock-fuse.service |   12 
 community-staging-x86_64/xautostart.conf             |    6 
 21 files changed, 636 insertions(+), 636 deletions(-)

Deleted: community-staging-i686/PKGBUILD
===================================================================
--- community-staging-i686/PKGBUILD	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-i686/PKGBUILD	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,89 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: Krzysztof Raczkowski <raczkow at gmail.com>
-
-pkgname=open-vm-tools
-epoch=6
-pkgver=10.1.0
-pkgrel=3
-pkgdesc="The Open Virtual Machine Tools (open-vm-tools) are the open source implementation of VMware Tools"
-arch=('i686' 'x86_64')
-url="https://github.com/vmware/open-vm-tools"
-license=('LGPL')
-depends=('libdnet' 'icu' 'procps-ng' 'uriparser' 'libsigc++' 'libxss'
-	 'iproute2' 'fuse2' 'lsb-release' 'libmspack')
-makedepends=('chrpath' 'doxygen' 'gtkmm' 'libxtst')
-optdepends=('gtkmm: DnD/CP plugin'
-	    'libxtst: DnD/CP, resolution set plugins'
-	    'netctl: suspend-resume network state'
-	    'networkmanager: suspend-resume network state')
-backup=('etc/pam.d/vmware-guestd')
-options=('docs')
-source=($pkgname-$pkgver.tar.gz::https://github.com/vmware/open-vm-tools/archive/stable-${pkgver/_/-}.tar.gz
-	network-script
-	tools.conf
-	vmware-guestd
-	xautostart.conf
-	vmtoolsd.service
-	vmware-vmblock-fuse.service)
-md5sums=('46f5a319275f63658f1a44b6c8755f6b'
-         'cbfa69ead382bc527e6f6ddfed8e5c4d'
-         'b55d15e2c4be396aad709aeca91033d3'
-         '1b9ae908fce4c623269f100ee9bdfdef'
-         '75a25d83417e683957321f97a00f8465'
-         'a6c53243d31c765580f6dded7d5fa98f'
-         '84c0e820cb053def1742ea59af9f2dec')
-
-prepare() {
-  cd "$srcdir/$pkgname-"*"/open-vm-tools"
-  sed -i \
-    -e 's|-Werror||g' \
-    -e 's|.*common-agent/etc/config/Makefile.*||' \
-    configure.ac
-  mkdir -p common-agent/etc/config
-  autoreconf -vi
-}
-
-build() {
-  cd "$srcdir/$pkgname-"*"/open-vm-tools"
-
-  # glibmm 2.46 uses C++11 features
-  CXXFLAGS+=' -std=gnu++11 -fpermissive '
-  CFLAGS+=' -fpermissive '
-
-  sh ./configure --prefix=/usr \
-    --sbindir=/usr/bin \
-    --without-xmlsecurity \
-    --without-kernel-modules
-  make
-}
-
-package() {
-  cd "$srcdir/$pkgname-"*"/open-vm-tools"
-
-  make install DESTDIR="$pkgdir"
-  install -Dm0644 vmware-user-suid-wrapper/vmware-user.desktop "$pkgdir"/usr/share/applications/vmware-user.desktop
-
-  # vmware-user XDG autostart
-  mkdir -p "$pkgdir"/etc/xdg/autostart
-  ln -s /usr/share/applications/vmware-user.desktop "$pkgdir"/etc/xdg/autostart/vmware-user.desktop
-
-  install -D -m 755 scripts/common/vmware-xdg-detect-de "$pkgdir"/usr/bin/vmware-xdg-detect-de
-  chmod 07755 "$pkgdir"/usr/bin/vmware-user-suid-wrapper
-
-  install -Dm0755 "$srcdir"/network-script "$pkgdir"/etc/vmware-tools/scripts/vmware/network
-  install -Dm0644 "$srcdir"/tools.conf "$pkgdir"/etc/vmware-tools/tools.conf
-  install -Dm0644 "$srcdir"/xautostart.conf "$pkgdir"/etc/vmware-tools/xautostart.conf
-  install -Dm0644 "$srcdir"/vmware-guestd "$pkgdir"/etc/pam.d/vmware-guestd
-  rm -rf "$pkgdir"/usr/etc
-
-  # We don't want a symlink in /sbin
-  rm "$pkgdir"/sbin/mount.vmhgfs
-  rmdir "$pkgdir"/sbin
-
-  cd "$pkgdir" && find -type f -exec sh -c "file {} | grep ELF >/dev/null && echo {} && chrpath -d {}" \;
-  install -Dm644 "$srcdir"/vmtoolsd.service "$pkgdir"/usr/lib/systemd/system/vmtoolsd.service
-  install -Dm644 "$srcdir"/vmware-vmblock-fuse.service "$pkgdir"/usr/lib/systemd/system/vmware-vmblock-fuse.service
-
-  rm -f "$pkgdir"/etc/vmware-tools/scripts/vmware/*.orig
-}

Copied: open-vm-tools/repos/community-staging-i686/PKGBUILD (from rev 216308, open-vm-tools/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,89 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Krzysztof Raczkowski <raczkow at gmail.com>
+
+pkgname=open-vm-tools
+epoch=6
+pkgver=10.1.5
+pkgrel=1
+pkgdesc="The Open Virtual Machine Tools (open-vm-tools) are the open source implementation of VMware Tools"
+arch=('i686' 'x86_64')
+url="https://github.com/vmware/open-vm-tools"
+license=('LGPL')
+depends=('libdnet' 'icu' 'procps-ng' 'uriparser' 'libsigc++' 'libxss'
+	 'iproute2' 'fuse2' 'lsb-release' 'libmspack')
+makedepends=('chrpath' 'doxygen' 'gtkmm' 'libxtst')
+optdepends=('gtkmm: DnD/CP plugin'
+	    'libxtst: DnD/CP, resolution set plugins'
+	    'netctl: suspend-resume network state'
+	    'networkmanager: suspend-resume network state')
+backup=('etc/pam.d/vmware-guestd')
+options=('docs')
+source=($pkgname-$pkgver.tar.gz::https://github.com/vmware/open-vm-tools/archive/stable-${pkgver/_/-}.tar.gz
+	network-script
+	tools.conf
+	vmware-guestd
+	xautostart.conf
+	vmtoolsd.service
+	vmware-vmblock-fuse.service)
+sha256sums=('aba7bf570b8951b61784941460659c204359d98fcbfb164df3c30d468a19fb1c'
+            'c4add159c534384eb07e5e9a0694a60c253341916eca928f85e75f77c95d2e95'
+            'f39403b884d897933d43cdd1093f308016963cf08162b21717240e37f7fd02ab'
+            '53dbc915fb145fd8fbabe0b8be6c5bc25bfc9f40e1be28740fdc0b8e99889b26'
+            '6ca56abad77f7d7c0507f2eb5cfb7bdfb14f34f2d392816fb7b384520f12436f'
+            '5a9403f78356873258521644068f2c9639b994d5954e5ad953934136822b2689'
+            '99e3cc1da20a751049144cc02dec77174a55109b5b5960e1facd78709da7724f')
+
+prepare() {
+  cd "$srcdir/$pkgname-"*"/open-vm-tools"
+  sed -i \
+    -e 's|-Werror||g' \
+    -e 's|.*common-agent/etc/config/Makefile.*||' \
+    configure.ac
+  mkdir -p common-agent/etc/config
+  autoreconf -vi
+}
+
+build() {
+  cd "$srcdir/$pkgname-"*"/open-vm-tools"
+
+  # glibmm 2.46 uses C++11 features
+  CXXFLAGS+=' -std=gnu++11 -fpermissive '
+  CFLAGS+=' -fpermissive '
+
+  sh ./configure --prefix=/usr \
+    --sbindir=/usr/bin \
+    --without-xmlsecurity \
+    --without-kernel-modules
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-"*"/open-vm-tools"
+
+  make install DESTDIR="$pkgdir"
+  install -Dm0644 vmware-user-suid-wrapper/vmware-user.desktop "$pkgdir"/usr/share/applications/vmware-user.desktop
+
+  # vmware-user XDG autostart
+  mkdir -p "$pkgdir"/etc/xdg/autostart
+  ln -s /usr/share/applications/vmware-user.desktop "$pkgdir"/etc/xdg/autostart/vmware-user.desktop
+
+  install -D -m 755 scripts/common/vmware-xdg-detect-de "$pkgdir"/usr/bin/vmware-xdg-detect-de
+  chmod 07755 "$pkgdir"/usr/bin/vmware-user-suid-wrapper
+
+  install -Dm0755 "$srcdir"/network-script "$pkgdir"/etc/vmware-tools/scripts/vmware/network
+  install -Dm0644 "$srcdir"/tools.conf "$pkgdir"/etc/vmware-tools/tools.conf
+  install -Dm0644 "$srcdir"/xautostart.conf "$pkgdir"/etc/vmware-tools/xautostart.conf
+  install -Dm0644 "$srcdir"/vmware-guestd "$pkgdir"/etc/pam.d/vmware-guestd
+  rm -rf "$pkgdir"/usr/etc
+
+  # We don't want a symlink in /sbin
+  rm "$pkgdir"/sbin/mount.vmhgfs
+  rmdir "$pkgdir"/sbin
+
+  cd "$pkgdir" && find -type f -exec sh -c "file {} | grep ELF >/dev/null && echo {} && chrpath -d {}" \;
+  install -Dm644 "$srcdir"/vmtoolsd.service "$pkgdir"/usr/lib/systemd/system/vmtoolsd.service
+  install -Dm644 "$srcdir"/vmware-vmblock-fuse.service "$pkgdir"/usr/lib/systemd/system/vmware-vmblock-fuse.service
+
+  rm -f "$pkgdir"/etc/vmware-tools/scripts/vmware/*.orig
+}

Deleted: community-staging-i686/network-script
===================================================================
--- community-staging-i686/network-script	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-i686/network-script	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,195 +0,0 @@
-#!/bin/sh
-##########################################################
-# Copyright (C) 2001-2010 VMware, Inc. All rights reserved.
-#
-# This program is free software; you can redistribute it and/or modify it
-# under the terms of the GNU Lesser General Public License as published
-# by the Free Software Foundation version 2.1 and no later version.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-# or FITNESS FOR A PARTICULAR PURPOSE.  See the Lesser GNU General Public
-# License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
-#
-##########################################################
-
-
-#
-# network (Linux)
-#
-# Using a combination of a system networking script, ifconfig, and ifup,
-# attempt to release and renew DHCP leases upon receipt of suspend and resume
-# events, respectively.
-#
-
-echo `date` ": Executing '$0'"
-echo
-
-. `dirname "$0"`/../../statechange.subr
-
-#
-# TranquilizeNetworkManager --
-#
-#    Put the NetworkManager daemon to sleep (maybe).
-#
-#    See http://projects.gnome.org/NetworkManager/developers/spec.html .
-#
-# Results:
-#    Sleep(true) request is sent to the NetworkManager D-Bus interface.
-#
-# Side effects:
-#    None.
-#
-
-TranquilizeNetworkManager()
-{
-   # `which' may be a bit noisy, so we'll shush it.
-   dbusSend=`which dbus-send 2>/dev/null`
-   rc=$?
-   if [ $rc -ne 0 ] || [ -z "\"`pidof dbus-daemon`\"" ]; then
-      return $rc
-   fi
-
-   # Check NetworkManager state before disabling it.
-   nm_state=`$dbusSend --system --print-reply		\
-             --dest=org.freedesktop.NetworkManager	\
-             /org/freedesktop/NetworkManager		\
-             org.freedesktop.DBus.Properties.Get	\
-             string:'org.freedesktop.NetworkManager'	\
-             string:'State'				\
-             | awk '/variant/ {print $3;}'`
-   if [ -z "$nm_state" ]; then
-      return 1
-   fi
-   # NetworkManager API     0.7/0.8   0.9
-   # NM_STATE_ASLEEP           1      10
-   # NM_STATE_DISCONNECTED     4      20
-   case $nm_state in
-      1|4|10|20)
-         # Nothing needs to be done.
-         return 0
-         ;;
-   esac
-
-   # NetworkManager 0.8.0 and above
-   $dbusSend --system --print-reply          \
-      --dest=org.freedesktop.NetworkManager  \
-      /org/freedesktop/NetworkManager        \
-      org.freedesktop.NetworkManager.Enable boolean:false
-   rc=$?
-   if [ $rc -eq 0 ]; then
-      return $rc
-   fi
-   # NetworkManager 0.7.0
-   $dbusSend --system --print-reply          \
-      --dest=org.freedesktop.NetworkManager  \
-      /org/freedesktop/NetworkManager        \
-      org.freedesktop.NetworkManager.Sleep boolean:true
-   rc=$?
-   if [ $rc -eq 0 ]; then
-      return $rc
-   fi
-   # NetworkManager 0.6
-   $dbusSend --system --print-reply          \
-      --dest=org.freedesktop.NetworkManager  \
-      /org/freedesktop/NetworkManager        \
-      org.freedesktop.NetworkManager.sleep
-   rc=$?
-
-   return $rc
-}
-
-
-#
-# WakeNetworkManager --
-#
-#    Wake the NetworkManager daemon (maybe).
-#
-#    See http://projects.gnome.org/NetworkManager/developers/spec.html .
-#
-# Results:
-#    Sleep(false)request is sent to the NetworkManager D-Bus interface.
-#
-# Side effects:
-#    None.
-#
-
-WakeNetworkManager()
-{
-   # `which' may be a bit noisy, so we'll shush it.
-   dbusSend=`which dbus-send 2>/dev/null`
-   rc=$?
-   if [ $rc = 0 ] && [ "\"`pidof dbus-daemon`\"" ]; then
-      # NetworkManager 0.8.0
-      $dbusSend --system --print-reply          \
-         --dest=org.freedesktop.NetworkManager  \
-         /org/freedesktop/NetworkManager        \
-         org.freedesktop.NetworkManager.Enable boolean:true
-      rc=$?
-      if [ $rc = 0 ]; then
-         return $rc
-      fi
-      # NetworkManager 0.7.0
-      $dbusSend --system --print-reply          \
-         --dest=org.freedesktop.NetworkManager  \
-         /org/freedesktop/NetworkManager        \
-         org.freedesktop.NetworkManager.Sleep boolean:false
-      rc=$?
-      if [ $rc = 0 ]; then
-         return $rc
-      fi
-      # NetworkManager 0.6
-      $dbusSend --system --print-reply          \
-         --dest=org.freedesktop.NetworkManager  \
-         /org/freedesktop/NetworkManager        \
-         org.freedesktop.NetworkManager.wake
-      rc=$?
-   fi
-   return $rc
-}
-
-
-#
-# main --
-#
-#    Main entry point.  Perform some sanity checking, then map state change
-#    events to relevant networking operations.
-#
-# Results:
-#    See comment at top of file.
-#
-
-main() {
-   exitCode=0
-
-   case "$1" in
-      poweron-vm)
-         ;;
-      suspend-vm)
-         TranquilizeNetworkManager
-         exitCode=$?
-         if [ $exitCode != 0 ]; then
-            netctl store
-            netctl stop-all
-            exitCode=$?
-         fi
-         ;;
-      resume-vm)
-         WakeNetworkManager
-         exitCode=$?
-         if [ $exitCode != 0 ]; then
-            netctl restore
-            exitCode=$?
-         fi
-         ;;
-      *) ;;
-   esac
-
-   return $exitCode
-}
-
-main "$@"

Copied: open-vm-tools/repos/community-staging-i686/network-script (from rev 216308, open-vm-tools/trunk/network-script)
===================================================================
--- community-staging-i686/network-script	                        (rev 0)
+++ community-staging-i686/network-script	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,195 @@
+#!/bin/sh
+##########################################################
+# Copyright (C) 2001-2010 VMware, Inc. All rights reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published
+# by the Free Software Foundation version 2.1 and no later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE.  See the Lesser GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
+#
+##########################################################
+
+
+#
+# network (Linux)
+#
+# Using a combination of a system networking script, ifconfig, and ifup,
+# attempt to release and renew DHCP leases upon receipt of suspend and resume
+# events, respectively.
+#
+
+echo `date` ": Executing '$0'"
+echo
+
+. `dirname "$0"`/../../statechange.subr
+
+#
+# TranquilizeNetworkManager --
+#
+#    Put the NetworkManager daemon to sleep (maybe).
+#
+#    See http://projects.gnome.org/NetworkManager/developers/spec.html .
+#
+# Results:
+#    Sleep(true) request is sent to the NetworkManager D-Bus interface.
+#
+# Side effects:
+#    None.
+#
+
+TranquilizeNetworkManager()
+{
+   # `which' may be a bit noisy, so we'll shush it.
+   dbusSend=`which dbus-send 2>/dev/null`
+   rc=$?
+   if [ $rc -ne 0 ] || [ -z "\"`pidof dbus-daemon`\"" ]; then
+      return $rc
+   fi
+
+   # Check NetworkManager state before disabling it.
+   nm_state=`$dbusSend --system --print-reply		\
+             --dest=org.freedesktop.NetworkManager	\
+             /org/freedesktop/NetworkManager		\
+             org.freedesktop.DBus.Properties.Get	\
+             string:'org.freedesktop.NetworkManager'	\
+             string:'State'				\
+             | awk '/variant/ {print $3;}'`
+   if [ -z "$nm_state" ]; then
+      return 1
+   fi
+   # NetworkManager API     0.7/0.8   0.9
+   # NM_STATE_ASLEEP           1      10
+   # NM_STATE_DISCONNECTED     4      20
+   case $nm_state in
+      1|4|10|20)
+         # Nothing needs to be done.
+         return 0
+         ;;
+   esac
+
+   # NetworkManager 0.8.0 and above
+   $dbusSend --system --print-reply          \
+      --dest=org.freedesktop.NetworkManager  \
+      /org/freedesktop/NetworkManager        \
+      org.freedesktop.NetworkManager.Enable boolean:false
+   rc=$?
+   if [ $rc -eq 0 ]; then
+      return $rc
+   fi
+   # NetworkManager 0.7.0
+   $dbusSend --system --print-reply          \
+      --dest=org.freedesktop.NetworkManager  \
+      /org/freedesktop/NetworkManager        \
+      org.freedesktop.NetworkManager.Sleep boolean:true
+   rc=$?
+   if [ $rc -eq 0 ]; then
+      return $rc
+   fi
+   # NetworkManager 0.6
+   $dbusSend --system --print-reply          \
+      --dest=org.freedesktop.NetworkManager  \
+      /org/freedesktop/NetworkManager        \
+      org.freedesktop.NetworkManager.sleep
+   rc=$?
+
+   return $rc
+}
+
+
+#
+# WakeNetworkManager --
+#
+#    Wake the NetworkManager daemon (maybe).
+#
+#    See http://projects.gnome.org/NetworkManager/developers/spec.html .
+#
+# Results:
+#    Sleep(false)request is sent to the NetworkManager D-Bus interface.
+#
+# Side effects:
+#    None.
+#
+
+WakeNetworkManager()
+{
+   # `which' may be a bit noisy, so we'll shush it.
+   dbusSend=`which dbus-send 2>/dev/null`
+   rc=$?
+   if [ $rc = 0 ] && [ "\"`pidof dbus-daemon`\"" ]; then
+      # NetworkManager 0.8.0
+      $dbusSend --system --print-reply          \
+         --dest=org.freedesktop.NetworkManager  \
+         /org/freedesktop/NetworkManager        \
+         org.freedesktop.NetworkManager.Enable boolean:true
+      rc=$?
+      if [ $rc = 0 ]; then
+         return $rc
+      fi
+      # NetworkManager 0.7.0
+      $dbusSend --system --print-reply          \
+         --dest=org.freedesktop.NetworkManager  \
+         /org/freedesktop/NetworkManager        \
+         org.freedesktop.NetworkManager.Sleep boolean:false
+      rc=$?
+      if [ $rc = 0 ]; then
+         return $rc
+      fi
+      # NetworkManager 0.6
+      $dbusSend --system --print-reply          \
+         --dest=org.freedesktop.NetworkManager  \
+         /org/freedesktop/NetworkManager        \
+         org.freedesktop.NetworkManager.wake
+      rc=$?
+   fi
+   return $rc
+}
+
+
+#
+# main --
+#
+#    Main entry point.  Perform some sanity checking, then map state change
+#    events to relevant networking operations.
+#
+# Results:
+#    See comment at top of file.
+#
+
+main() {
+   exitCode=0
+
+   case "$1" in
+      poweron-vm)
+         ;;
+      suspend-vm)
+         TranquilizeNetworkManager
+         exitCode=$?
+         if [ $exitCode != 0 ]; then
+            netctl store
+            netctl stop-all
+            exitCode=$?
+         fi
+         ;;
+      resume-vm)
+         WakeNetworkManager
+         exitCode=$?
+         if [ $exitCode != 0 ]; then
+            netctl restore
+            exitCode=$?
+         fi
+         ;;
+      *) ;;
+   esac
+
+   return $exitCode
+}
+
+main "$@"

Deleted: community-staging-i686/tools.conf
===================================================================
--- community-staging-i686/tools.conf	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-i686/tools.conf	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1 +0,0 @@
-bindir = "/usr/bin"

Copied: open-vm-tools/repos/community-staging-i686/tools.conf (from rev 216308, open-vm-tools/trunk/tools.conf)
===================================================================
--- community-staging-i686/tools.conf	                        (rev 0)
+++ community-staging-i686/tools.conf	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1 @@
+bindir = "/usr/bin"

Deleted: community-staging-i686/vmtoolsd.service
===================================================================
--- community-staging-i686/vmtoolsd.service	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-i686/vmtoolsd.service	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,9 +0,0 @@
-[Unit]
-Description=Open Virtual Machine Tools (VMware Tools)
-ConditionVirtualization=vmware
-
-[Service]
-ExecStart=/usr/bin/vmtoolsd
-
-[Install]
-WantedBy=multi-user.target

Copied: open-vm-tools/repos/community-staging-i686/vmtoolsd.service (from rev 216308, open-vm-tools/trunk/vmtoolsd.service)
===================================================================
--- community-staging-i686/vmtoolsd.service	                        (rev 0)
+++ community-staging-i686/vmtoolsd.service	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Open Virtual Machine Tools (VMware Tools)
+ConditionVirtualization=vmware
+
+[Service]
+ExecStart=/usr/bin/vmtoolsd
+
+[Install]
+WantedBy=multi-user.target

Deleted: community-staging-i686/vmware-guestd
===================================================================
--- community-staging-i686/vmware-guestd	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-i686/vmware-guestd	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,6 +0,0 @@
-#%PAM-1.0
-
-auth    sufficient      pam_unix2.so      shadow  nullok
-auth    required        pam_unix_auth.so  shadow  nullok
-account sufficient      pam_unix2.so
-account required        pam_unix_acct.so

Copied: open-vm-tools/repos/community-staging-i686/vmware-guestd (from rev 216308, open-vm-tools/trunk/vmware-guestd)
===================================================================
--- community-staging-i686/vmware-guestd	                        (rev 0)
+++ community-staging-i686/vmware-guestd	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,6 @@
+#%PAM-1.0
+
+auth    sufficient      pam_unix2.so      shadow  nullok
+auth    required        pam_unix_auth.so  shadow  nullok
+account sufficient      pam_unix2.so
+account required        pam_unix_acct.so

Deleted: community-staging-i686/vmware-vmblock-fuse.service
===================================================================
--- community-staging-i686/vmware-vmblock-fuse.service	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-i686/vmware-vmblock-fuse.service	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,12 +0,0 @@
-[Unit]
-Description=Open Virtual Machine Tools (vmware-vmblock-fuse)
-ConditionVirtualization=vmware
-
-[Service]
-Type=simple
-RuntimeDirectory=vmblock-fuse
-RuntimeDirectoryMode=755
-ExecStart=/usr/bin/vmware-vmblock-fuse -d -f -o subtype=vmware-vmblock,default_permissions,allow_other /run/vmblock-fuse
-
-[Install]
-WantedBy=multi-user.target

Copied: open-vm-tools/repos/community-staging-i686/vmware-vmblock-fuse.service (from rev 216308, open-vm-tools/trunk/vmware-vmblock-fuse.service)
===================================================================
--- community-staging-i686/vmware-vmblock-fuse.service	                        (rev 0)
+++ community-staging-i686/vmware-vmblock-fuse.service	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,12 @@
+[Unit]
+Description=Open Virtual Machine Tools (vmware-vmblock-fuse)
+ConditionVirtualization=vmware
+
+[Service]
+Type=simple
+RuntimeDirectory=vmblock-fuse
+RuntimeDirectoryMode=755
+ExecStart=/usr/bin/vmware-vmblock-fuse -d -f -o subtype=vmware-vmblock,default_permissions,allow_other /run/vmblock-fuse
+
+[Install]
+WantedBy=multi-user.target

Deleted: community-staging-i686/xautostart.conf
===================================================================
--- community-staging-i686/xautostart.conf	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-i686/xautostart.conf	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,6 +0,0 @@
-gnome-panel
-ksmserver
-startkde
-kwrapper
-panel
-xfce4-panel

Copied: open-vm-tools/repos/community-staging-i686/xautostart.conf (from rev 216308, open-vm-tools/trunk/xautostart.conf)
===================================================================
--- community-staging-i686/xautostart.conf	                        (rev 0)
+++ community-staging-i686/xautostart.conf	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,6 @@
+gnome-panel
+ksmserver
+startkde
+kwrapper
+panel
+xfce4-panel

Deleted: community-staging-x86_64/PKGBUILD
===================================================================
--- community-staging-x86_64/PKGBUILD	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-x86_64/PKGBUILD	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,89 +0,0 @@
-# $Id$
-# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
-# Contributor: Krzysztof Raczkowski <raczkow at gmail.com>
-
-pkgname=open-vm-tools
-epoch=6
-pkgver=10.1.0
-pkgrel=3
-pkgdesc="The Open Virtual Machine Tools (open-vm-tools) are the open source implementation of VMware Tools"
-arch=('i686' 'x86_64')
-url="https://github.com/vmware/open-vm-tools"
-license=('LGPL')
-depends=('libdnet' 'icu' 'procps-ng' 'uriparser' 'libsigc++' 'libxss'
-	 'iproute2' 'fuse2' 'lsb-release' 'libmspack')
-makedepends=('chrpath' 'doxygen' 'gtkmm' 'libxtst')
-optdepends=('gtkmm: DnD/CP plugin'
-	    'libxtst: DnD/CP, resolution set plugins'
-	    'netctl: suspend-resume network state'
-	    'networkmanager: suspend-resume network state')
-backup=('etc/pam.d/vmware-guestd')
-options=('docs')
-source=($pkgname-$pkgver.tar.gz::https://github.com/vmware/open-vm-tools/archive/stable-${pkgver/_/-}.tar.gz
-	network-script
-	tools.conf
-	vmware-guestd
-	xautostart.conf
-	vmtoolsd.service
-	vmware-vmblock-fuse.service)
-md5sums=('46f5a319275f63658f1a44b6c8755f6b'
-         'cbfa69ead382bc527e6f6ddfed8e5c4d'
-         'b55d15e2c4be396aad709aeca91033d3'
-         '1b9ae908fce4c623269f100ee9bdfdef'
-         '75a25d83417e683957321f97a00f8465'
-         'a6c53243d31c765580f6dded7d5fa98f'
-         '84c0e820cb053def1742ea59af9f2dec')
-
-prepare() {
-  cd "$srcdir/$pkgname-"*"/open-vm-tools"
-  sed -i \
-    -e 's|-Werror||g' \
-    -e 's|.*common-agent/etc/config/Makefile.*||' \
-    configure.ac
-  mkdir -p common-agent/etc/config
-  autoreconf -vi
-}
-
-build() {
-  cd "$srcdir/$pkgname-"*"/open-vm-tools"
-
-  # glibmm 2.46 uses C++11 features
-  CXXFLAGS+=' -std=gnu++11 -fpermissive '
-  CFLAGS+=' -fpermissive '
-
-  sh ./configure --prefix=/usr \
-    --sbindir=/usr/bin \
-    --without-xmlsecurity \
-    --without-kernel-modules
-  make
-}
-
-package() {
-  cd "$srcdir/$pkgname-"*"/open-vm-tools"
-
-  make install DESTDIR="$pkgdir"
-  install -Dm0644 vmware-user-suid-wrapper/vmware-user.desktop "$pkgdir"/usr/share/applications/vmware-user.desktop
-
-  # vmware-user XDG autostart
-  mkdir -p "$pkgdir"/etc/xdg/autostart
-  ln -s /usr/share/applications/vmware-user.desktop "$pkgdir"/etc/xdg/autostart/vmware-user.desktop
-
-  install -D -m 755 scripts/common/vmware-xdg-detect-de "$pkgdir"/usr/bin/vmware-xdg-detect-de
-  chmod 07755 "$pkgdir"/usr/bin/vmware-user-suid-wrapper
-
-  install -Dm0755 "$srcdir"/network-script "$pkgdir"/etc/vmware-tools/scripts/vmware/network
-  install -Dm0644 "$srcdir"/tools.conf "$pkgdir"/etc/vmware-tools/tools.conf
-  install -Dm0644 "$srcdir"/xautostart.conf "$pkgdir"/etc/vmware-tools/xautostart.conf
-  install -Dm0644 "$srcdir"/vmware-guestd "$pkgdir"/etc/pam.d/vmware-guestd
-  rm -rf "$pkgdir"/usr/etc
-
-  # We don't want a symlink in /sbin
-  rm "$pkgdir"/sbin/mount.vmhgfs
-  rmdir "$pkgdir"/sbin
-
-  cd "$pkgdir" && find -type f -exec sh -c "file {} | grep ELF >/dev/null && echo {} && chrpath -d {}" \;
-  install -Dm644 "$srcdir"/vmtoolsd.service "$pkgdir"/usr/lib/systemd/system/vmtoolsd.service
-  install -Dm644 "$srcdir"/vmware-vmblock-fuse.service "$pkgdir"/usr/lib/systemd/system/vmware-vmblock-fuse.service
-
-  rm -f "$pkgdir"/etc/vmware-tools/scripts/vmware/*.orig
-}

Copied: open-vm-tools/repos/community-staging-x86_64/PKGBUILD (from rev 216308, open-vm-tools/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,89 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Krzysztof Raczkowski <raczkow at gmail.com>
+
+pkgname=open-vm-tools
+epoch=6
+pkgver=10.1.5
+pkgrel=1
+pkgdesc="The Open Virtual Machine Tools (open-vm-tools) are the open source implementation of VMware Tools"
+arch=('i686' 'x86_64')
+url="https://github.com/vmware/open-vm-tools"
+license=('LGPL')
+depends=('libdnet' 'icu' 'procps-ng' 'uriparser' 'libsigc++' 'libxss'
+	 'iproute2' 'fuse2' 'lsb-release' 'libmspack')
+makedepends=('chrpath' 'doxygen' 'gtkmm' 'libxtst')
+optdepends=('gtkmm: DnD/CP plugin'
+	    'libxtst: DnD/CP, resolution set plugins'
+	    'netctl: suspend-resume network state'
+	    'networkmanager: suspend-resume network state')
+backup=('etc/pam.d/vmware-guestd')
+options=('docs')
+source=($pkgname-$pkgver.tar.gz::https://github.com/vmware/open-vm-tools/archive/stable-${pkgver/_/-}.tar.gz
+	network-script
+	tools.conf
+	vmware-guestd
+	xautostart.conf
+	vmtoolsd.service
+	vmware-vmblock-fuse.service)
+sha256sums=('aba7bf570b8951b61784941460659c204359d98fcbfb164df3c30d468a19fb1c'
+            'c4add159c534384eb07e5e9a0694a60c253341916eca928f85e75f77c95d2e95'
+            'f39403b884d897933d43cdd1093f308016963cf08162b21717240e37f7fd02ab'
+            '53dbc915fb145fd8fbabe0b8be6c5bc25bfc9f40e1be28740fdc0b8e99889b26'
+            '6ca56abad77f7d7c0507f2eb5cfb7bdfb14f34f2d392816fb7b384520f12436f'
+            '5a9403f78356873258521644068f2c9639b994d5954e5ad953934136822b2689'
+            '99e3cc1da20a751049144cc02dec77174a55109b5b5960e1facd78709da7724f')
+
+prepare() {
+  cd "$srcdir/$pkgname-"*"/open-vm-tools"
+  sed -i \
+    -e 's|-Werror||g' \
+    -e 's|.*common-agent/etc/config/Makefile.*||' \
+    configure.ac
+  mkdir -p common-agent/etc/config
+  autoreconf -vi
+}
+
+build() {
+  cd "$srcdir/$pkgname-"*"/open-vm-tools"
+
+  # glibmm 2.46 uses C++11 features
+  CXXFLAGS+=' -std=gnu++11 -fpermissive '
+  CFLAGS+=' -fpermissive '
+
+  sh ./configure --prefix=/usr \
+    --sbindir=/usr/bin \
+    --without-xmlsecurity \
+    --without-kernel-modules
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-"*"/open-vm-tools"
+
+  make install DESTDIR="$pkgdir"
+  install -Dm0644 vmware-user-suid-wrapper/vmware-user.desktop "$pkgdir"/usr/share/applications/vmware-user.desktop
+
+  # vmware-user XDG autostart
+  mkdir -p "$pkgdir"/etc/xdg/autostart
+  ln -s /usr/share/applications/vmware-user.desktop "$pkgdir"/etc/xdg/autostart/vmware-user.desktop
+
+  install -D -m 755 scripts/common/vmware-xdg-detect-de "$pkgdir"/usr/bin/vmware-xdg-detect-de
+  chmod 07755 "$pkgdir"/usr/bin/vmware-user-suid-wrapper
+
+  install -Dm0755 "$srcdir"/network-script "$pkgdir"/etc/vmware-tools/scripts/vmware/network
+  install -Dm0644 "$srcdir"/tools.conf "$pkgdir"/etc/vmware-tools/tools.conf
+  install -Dm0644 "$srcdir"/xautostart.conf "$pkgdir"/etc/vmware-tools/xautostart.conf
+  install -Dm0644 "$srcdir"/vmware-guestd "$pkgdir"/etc/pam.d/vmware-guestd
+  rm -rf "$pkgdir"/usr/etc
+
+  # We don't want a symlink in /sbin
+  rm "$pkgdir"/sbin/mount.vmhgfs
+  rmdir "$pkgdir"/sbin
+
+  cd "$pkgdir" && find -type f -exec sh -c "file {} | grep ELF >/dev/null && echo {} && chrpath -d {}" \;
+  install -Dm644 "$srcdir"/vmtoolsd.service "$pkgdir"/usr/lib/systemd/system/vmtoolsd.service
+  install -Dm644 "$srcdir"/vmware-vmblock-fuse.service "$pkgdir"/usr/lib/systemd/system/vmware-vmblock-fuse.service
+
+  rm -f "$pkgdir"/etc/vmware-tools/scripts/vmware/*.orig
+}

Deleted: community-staging-x86_64/network-script
===================================================================
--- community-staging-x86_64/network-script	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-x86_64/network-script	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,195 +0,0 @@
-#!/bin/sh
-##########################################################
-# Copyright (C) 2001-2010 VMware, Inc. All rights reserved.
-#
-# This program is free software; you can redistribute it and/or modify it
-# under the terms of the GNU Lesser General Public License as published
-# by the Free Software Foundation version 2.1 and no later version.
-#
-# This program is distributed in the hope that it will be useful, but
-# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
-# or FITNESS FOR A PARTICULAR PURPOSE.  See the Lesser GNU General Public
-# License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
-#
-##########################################################
-
-
-#
-# network (Linux)
-#
-# Using a combination of a system networking script, ifconfig, and ifup,
-# attempt to release and renew DHCP leases upon receipt of suspend and resume
-# events, respectively.
-#
-
-echo `date` ": Executing '$0'"
-echo
-
-. `dirname "$0"`/../../statechange.subr
-
-#
-# TranquilizeNetworkManager --
-#
-#    Put the NetworkManager daemon to sleep (maybe).
-#
-#    See http://projects.gnome.org/NetworkManager/developers/spec.html .
-#
-# Results:
-#    Sleep(true) request is sent to the NetworkManager D-Bus interface.
-#
-# Side effects:
-#    None.
-#
-
-TranquilizeNetworkManager()
-{
-   # `which' may be a bit noisy, so we'll shush it.
-   dbusSend=`which dbus-send 2>/dev/null`
-   rc=$?
-   if [ $rc -ne 0 ] || [ -z "\"`pidof dbus-daemon`\"" ]; then
-      return $rc
-   fi
-
-   # Check NetworkManager state before disabling it.
-   nm_state=`$dbusSend --system --print-reply		\
-             --dest=org.freedesktop.NetworkManager	\
-             /org/freedesktop/NetworkManager		\
-             org.freedesktop.DBus.Properties.Get	\
-             string:'org.freedesktop.NetworkManager'	\
-             string:'State'				\
-             | awk '/variant/ {print $3;}'`
-   if [ -z "$nm_state" ]; then
-      return 1
-   fi
-   # NetworkManager API     0.7/0.8   0.9
-   # NM_STATE_ASLEEP           1      10
-   # NM_STATE_DISCONNECTED     4      20
-   case $nm_state in
-      1|4|10|20)
-         # Nothing needs to be done.
-         return 0
-         ;;
-   esac
-
-   # NetworkManager 0.8.0 and above
-   $dbusSend --system --print-reply          \
-      --dest=org.freedesktop.NetworkManager  \
-      /org/freedesktop/NetworkManager        \
-      org.freedesktop.NetworkManager.Enable boolean:false
-   rc=$?
-   if [ $rc -eq 0 ]; then
-      return $rc
-   fi
-   # NetworkManager 0.7.0
-   $dbusSend --system --print-reply          \
-      --dest=org.freedesktop.NetworkManager  \
-      /org/freedesktop/NetworkManager        \
-      org.freedesktop.NetworkManager.Sleep boolean:true
-   rc=$?
-   if [ $rc -eq 0 ]; then
-      return $rc
-   fi
-   # NetworkManager 0.6
-   $dbusSend --system --print-reply          \
-      --dest=org.freedesktop.NetworkManager  \
-      /org/freedesktop/NetworkManager        \
-      org.freedesktop.NetworkManager.sleep
-   rc=$?
-
-   return $rc
-}
-
-
-#
-# WakeNetworkManager --
-#
-#    Wake the NetworkManager daemon (maybe).
-#
-#    See http://projects.gnome.org/NetworkManager/developers/spec.html .
-#
-# Results:
-#    Sleep(false)request is sent to the NetworkManager D-Bus interface.
-#
-# Side effects:
-#    None.
-#
-
-WakeNetworkManager()
-{
-   # `which' may be a bit noisy, so we'll shush it.
-   dbusSend=`which dbus-send 2>/dev/null`
-   rc=$?
-   if [ $rc = 0 ] && [ "\"`pidof dbus-daemon`\"" ]; then
-      # NetworkManager 0.8.0
-      $dbusSend --system --print-reply          \
-         --dest=org.freedesktop.NetworkManager  \
-         /org/freedesktop/NetworkManager        \
-         org.freedesktop.NetworkManager.Enable boolean:true
-      rc=$?
-      if [ $rc = 0 ]; then
-         return $rc
-      fi
-      # NetworkManager 0.7.0
-      $dbusSend --system --print-reply          \
-         --dest=org.freedesktop.NetworkManager  \
-         /org/freedesktop/NetworkManager        \
-         org.freedesktop.NetworkManager.Sleep boolean:false
-      rc=$?
-      if [ $rc = 0 ]; then
-         return $rc
-      fi
-      # NetworkManager 0.6
-      $dbusSend --system --print-reply          \
-         --dest=org.freedesktop.NetworkManager  \
-         /org/freedesktop/NetworkManager        \
-         org.freedesktop.NetworkManager.wake
-      rc=$?
-   fi
-   return $rc
-}
-
-
-#
-# main --
-#
-#    Main entry point.  Perform some sanity checking, then map state change
-#    events to relevant networking operations.
-#
-# Results:
-#    See comment at top of file.
-#
-
-main() {
-   exitCode=0
-
-   case "$1" in
-      poweron-vm)
-         ;;
-      suspend-vm)
-         TranquilizeNetworkManager
-         exitCode=$?
-         if [ $exitCode != 0 ]; then
-            netctl store
-            netctl stop-all
-            exitCode=$?
-         fi
-         ;;
-      resume-vm)
-         WakeNetworkManager
-         exitCode=$?
-         if [ $exitCode != 0 ]; then
-            netctl restore
-            exitCode=$?
-         fi
-         ;;
-      *) ;;
-   esac
-
-   return $exitCode
-}
-
-main "$@"

Copied: open-vm-tools/repos/community-staging-x86_64/network-script (from rev 216308, open-vm-tools/trunk/network-script)
===================================================================
--- community-staging-x86_64/network-script	                        (rev 0)
+++ community-staging-x86_64/network-script	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,195 @@
+#!/bin/sh
+##########################################################
+# Copyright (C) 2001-2010 VMware, Inc. All rights reserved.
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU Lesser General Public License as published
+# by the Free Software Foundation version 2.1 and no later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+# or FITNESS FOR A PARTICULAR PURPOSE.  See the Lesser GNU General Public
+# License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA.
+#
+##########################################################
+
+
+#
+# network (Linux)
+#
+# Using a combination of a system networking script, ifconfig, and ifup,
+# attempt to release and renew DHCP leases upon receipt of suspend and resume
+# events, respectively.
+#
+
+echo `date` ": Executing '$0'"
+echo
+
+. `dirname "$0"`/../../statechange.subr
+
+#
+# TranquilizeNetworkManager --
+#
+#    Put the NetworkManager daemon to sleep (maybe).
+#
+#    See http://projects.gnome.org/NetworkManager/developers/spec.html .
+#
+# Results:
+#    Sleep(true) request is sent to the NetworkManager D-Bus interface.
+#
+# Side effects:
+#    None.
+#
+
+TranquilizeNetworkManager()
+{
+   # `which' may be a bit noisy, so we'll shush it.
+   dbusSend=`which dbus-send 2>/dev/null`
+   rc=$?
+   if [ $rc -ne 0 ] || [ -z "\"`pidof dbus-daemon`\"" ]; then
+      return $rc
+   fi
+
+   # Check NetworkManager state before disabling it.
+   nm_state=`$dbusSend --system --print-reply		\
+             --dest=org.freedesktop.NetworkManager	\
+             /org/freedesktop/NetworkManager		\
+             org.freedesktop.DBus.Properties.Get	\
+             string:'org.freedesktop.NetworkManager'	\
+             string:'State'				\
+             | awk '/variant/ {print $3;}'`
+   if [ -z "$nm_state" ]; then
+      return 1
+   fi
+   # NetworkManager API     0.7/0.8   0.9
+   # NM_STATE_ASLEEP           1      10
+   # NM_STATE_DISCONNECTED     4      20
+   case $nm_state in
+      1|4|10|20)
+         # Nothing needs to be done.
+         return 0
+         ;;
+   esac
+
+   # NetworkManager 0.8.0 and above
+   $dbusSend --system --print-reply          \
+      --dest=org.freedesktop.NetworkManager  \
+      /org/freedesktop/NetworkManager        \
+      org.freedesktop.NetworkManager.Enable boolean:false
+   rc=$?
+   if [ $rc -eq 0 ]; then
+      return $rc
+   fi
+   # NetworkManager 0.7.0
+   $dbusSend --system --print-reply          \
+      --dest=org.freedesktop.NetworkManager  \
+      /org/freedesktop/NetworkManager        \
+      org.freedesktop.NetworkManager.Sleep boolean:true
+   rc=$?
+   if [ $rc -eq 0 ]; then
+      return $rc
+   fi
+   # NetworkManager 0.6
+   $dbusSend --system --print-reply          \
+      --dest=org.freedesktop.NetworkManager  \
+      /org/freedesktop/NetworkManager        \
+      org.freedesktop.NetworkManager.sleep
+   rc=$?
+
+   return $rc
+}
+
+
+#
+# WakeNetworkManager --
+#
+#    Wake the NetworkManager daemon (maybe).
+#
+#    See http://projects.gnome.org/NetworkManager/developers/spec.html .
+#
+# Results:
+#    Sleep(false)request is sent to the NetworkManager D-Bus interface.
+#
+# Side effects:
+#    None.
+#
+
+WakeNetworkManager()
+{
+   # `which' may be a bit noisy, so we'll shush it.
+   dbusSend=`which dbus-send 2>/dev/null`
+   rc=$?
+   if [ $rc = 0 ] && [ "\"`pidof dbus-daemon`\"" ]; then
+      # NetworkManager 0.8.0
+      $dbusSend --system --print-reply          \
+         --dest=org.freedesktop.NetworkManager  \
+         /org/freedesktop/NetworkManager        \
+         org.freedesktop.NetworkManager.Enable boolean:true
+      rc=$?
+      if [ $rc = 0 ]; then
+         return $rc
+      fi
+      # NetworkManager 0.7.0
+      $dbusSend --system --print-reply          \
+         --dest=org.freedesktop.NetworkManager  \
+         /org/freedesktop/NetworkManager        \
+         org.freedesktop.NetworkManager.Sleep boolean:false
+      rc=$?
+      if [ $rc = 0 ]; then
+         return $rc
+      fi
+      # NetworkManager 0.6
+      $dbusSend --system --print-reply          \
+         --dest=org.freedesktop.NetworkManager  \
+         /org/freedesktop/NetworkManager        \
+         org.freedesktop.NetworkManager.wake
+      rc=$?
+   fi
+   return $rc
+}
+
+
+#
+# main --
+#
+#    Main entry point.  Perform some sanity checking, then map state change
+#    events to relevant networking operations.
+#
+# Results:
+#    See comment at top of file.
+#
+
+main() {
+   exitCode=0
+
+   case "$1" in
+      poweron-vm)
+         ;;
+      suspend-vm)
+         TranquilizeNetworkManager
+         exitCode=$?
+         if [ $exitCode != 0 ]; then
+            netctl store
+            netctl stop-all
+            exitCode=$?
+         fi
+         ;;
+      resume-vm)
+         WakeNetworkManager
+         exitCode=$?
+         if [ $exitCode != 0 ]; then
+            netctl restore
+            exitCode=$?
+         fi
+         ;;
+      *) ;;
+   esac
+
+   return $exitCode
+}
+
+main "$@"

Deleted: community-staging-x86_64/tools.conf
===================================================================
--- community-staging-x86_64/tools.conf	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-x86_64/tools.conf	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1 +0,0 @@
-bindir = "/usr/bin"

Copied: open-vm-tools/repos/community-staging-x86_64/tools.conf (from rev 216308, open-vm-tools/trunk/tools.conf)
===================================================================
--- community-staging-x86_64/tools.conf	                        (rev 0)
+++ community-staging-x86_64/tools.conf	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1 @@
+bindir = "/usr/bin"

Deleted: community-staging-x86_64/vmtoolsd.service
===================================================================
--- community-staging-x86_64/vmtoolsd.service	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-x86_64/vmtoolsd.service	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,9 +0,0 @@
-[Unit]
-Description=Open Virtual Machine Tools (VMware Tools)
-ConditionVirtualization=vmware
-
-[Service]
-ExecStart=/usr/bin/vmtoolsd
-
-[Install]
-WantedBy=multi-user.target

Copied: open-vm-tools/repos/community-staging-x86_64/vmtoolsd.service (from rev 216308, open-vm-tools/trunk/vmtoolsd.service)
===================================================================
--- community-staging-x86_64/vmtoolsd.service	                        (rev 0)
+++ community-staging-x86_64/vmtoolsd.service	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Open Virtual Machine Tools (VMware Tools)
+ConditionVirtualization=vmware
+
+[Service]
+ExecStart=/usr/bin/vmtoolsd
+
+[Install]
+WantedBy=multi-user.target

Deleted: community-staging-x86_64/vmware-guestd
===================================================================
--- community-staging-x86_64/vmware-guestd	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-x86_64/vmware-guestd	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,6 +0,0 @@
-#%PAM-1.0
-
-auth    sufficient      pam_unix2.so      shadow  nullok
-auth    required        pam_unix_auth.so  shadow  nullok
-account sufficient      pam_unix2.so
-account required        pam_unix_acct.so

Copied: open-vm-tools/repos/community-staging-x86_64/vmware-guestd (from rev 216308, open-vm-tools/trunk/vmware-guestd)
===================================================================
--- community-staging-x86_64/vmware-guestd	                        (rev 0)
+++ community-staging-x86_64/vmware-guestd	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,6 @@
+#%PAM-1.0
+
+auth    sufficient      pam_unix2.so      shadow  nullok
+auth    required        pam_unix_auth.so  shadow  nullok
+account sufficient      pam_unix2.so
+account required        pam_unix_acct.so

Deleted: community-staging-x86_64/vmware-vmblock-fuse.service
===================================================================
--- community-staging-x86_64/vmware-vmblock-fuse.service	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-x86_64/vmware-vmblock-fuse.service	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,12 +0,0 @@
-[Unit]
-Description=Open Virtual Machine Tools (vmware-vmblock-fuse)
-ConditionVirtualization=vmware
-
-[Service]
-Type=simple
-RuntimeDirectory=vmblock-fuse
-RuntimeDirectoryMode=755
-ExecStart=/usr/bin/vmware-vmblock-fuse -d -f -o subtype=vmware-vmblock,default_permissions,allow_other /run/vmblock-fuse
-
-[Install]
-WantedBy=multi-user.target

Copied: open-vm-tools/repos/community-staging-x86_64/vmware-vmblock-fuse.service (from rev 216308, open-vm-tools/trunk/vmware-vmblock-fuse.service)
===================================================================
--- community-staging-x86_64/vmware-vmblock-fuse.service	                        (rev 0)
+++ community-staging-x86_64/vmware-vmblock-fuse.service	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,12 @@
+[Unit]
+Description=Open Virtual Machine Tools (vmware-vmblock-fuse)
+ConditionVirtualization=vmware
+
+[Service]
+Type=simple
+RuntimeDirectory=vmblock-fuse
+RuntimeDirectoryMode=755
+ExecStart=/usr/bin/vmware-vmblock-fuse -d -f -o subtype=vmware-vmblock,default_permissions,allow_other /run/vmblock-fuse
+
+[Install]
+WantedBy=multi-user.target

Deleted: community-staging-x86_64/xautostart.conf
===================================================================
--- community-staging-x86_64/xautostart.conf	2017-03-14 15:55:57 UTC (rev 216308)
+++ community-staging-x86_64/xautostart.conf	2017-03-14 16:06:37 UTC (rev 216309)
@@ -1,6 +0,0 @@
-gnome-panel
-ksmserver
-startkde
-kwrapper
-panel
-xfce4-panel

Copied: open-vm-tools/repos/community-staging-x86_64/xautostart.conf (from rev 216308, open-vm-tools/trunk/xautostart.conf)
===================================================================
--- community-staging-x86_64/xautostart.conf	                        (rev 0)
+++ community-staging-x86_64/xautostart.conf	2017-03-14 16:06:37 UTC (rev 216309)
@@ -0,0 +1,6 @@
+gnome-panel
+ksmserver
+startkde
+kwrapper
+panel
+xfce4-panel


More information about the arch-commits mailing list